using BeWo.Report.ReportObjects;
using BeWo.Report;

namespace BeWo.VivaAVidaReports
{
    public partial class Spitzabrechnung : DevExpress.XtraReports.UI.XtraReport, IBeWoReport<Settlement2RO>
    {
        public Spitzabrechnung()
        {
            InitializeComponent();
        }

        public void SetReportDataSource(Settlement2RO pRO)
        {
            foreach (var item in pRO.InvoiceItems)
            {
                item.AbrechnungsText = item.AbrechnungsText.Insert(26, "\t");
                item.AbrechnungsText = item.AbrechnungsText.Replace(" €", ":");
            }

            bindingSource1.DataSource = pRO;
        }
    }
}
